Subject: Re: DLL problems
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Andrew Heath <[email-masked]>
Date: Tue, 16 Jan 2001 16:07:01 -0500

At 03:52 PM 1/16/2001, Earnie Boyd wrote:
>"Larry Hall (RFK Partners, Inc)" wrote:
> > 
> > At 03:04 PM 1/16/2001, Andrew Heath wrote:
> > >I have an executable that I've compiled with the -mwindows and -mno-cygwin switches, and it runs just fine, except at start up time on Win9X boxes.  If I start the program in the users login script, I get a page fault in CRTDLL.DLL, but not on the WinNT boxen.  Any ideas as to cause?
> > 
> > Yes, its the penalty for using a bad O/S!;-)
> > 
> > Seriously, its difficult to even speculate as to the issue without seeing
> > some information about your environment and the crash.  Output of cygcheck
> > -s -v -r may be helpful.  A stack trace is more likely to be helpful.
> > However, its probably something you just have to debug yourself to narrow
> > down the possibilities...
> > 
>
>Larry, stop sending form letters. ;) 

You mean the one about bad O/S's?;-)

>Cygcheck won't help and there won't
>be a stack trace.  This is a MinGW question.  It could be buggy routines
>in CRTDLL.  You could try MSVCRT, which the Cygwin gcc-2.95.2-7 release
>of GCC will use.  See http://www.mingw.org for more MinGW related
>information.

Earnie's right.  I slipped on this one.  Follow-up to the MinGW list on 
this one.

Thanks Earnie.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple